Ticket #232 (new defect)

Opened 3 years ago

Last modified 2 years ago

Unable to install plugin or to run test on already installed plugin

Reported by: alake Assigned to:
Priority: major Milestone: 1.3.0
Component: Plugins Keywords:
Cc:

Description

The install of the plugin fails in akelos/lib/utils/scripts/plugins.php at line 25:

defined('AK_SKIP_DB_CONNECTION') && AK_SKIP_DB_CONNECTION ? ($dsn=) : Ak::db(&$dsn);

because AK_SKIP_DB_CONNECTION and $dsn are not defined. It gives the following errors:

Missing file: /home/alan/develop/php/akelos/vendor/adodb/drivers/adodb-://.@localhost/.inc.php

<p>ADONewConnection: Unable to load database driver </p>PHP Fatal error: Connection to the database failed. ://:@localhost/

in /home/alan/develop/php/akelos/lib/AkActiveRecord/AkDbAdapter.php on line 68

Fatal error: Connection to the database failed. ://:@localhost/

in /home/alan/develop/php/akelos/lib/AkActiveRecord/AkDbAdapter.php on line 68

I went back to the geo_kit plugin and found that I cannot run tests; same error.

The error was introduced with akelos version 1185. (I can test with 1184).

Change History

12/19/09 20:41:20 changed by bermi

  • milestone changed from 1.0.1 to 1.3.0.

Moving ticket to 1.3.0, where we will update all tickets to fit the new Akelos conventions.

Plugins are now easier to test, install and uninstall.

See example of http://github.com/bermi/admin